// leds.v

// Generated using ACDS version 12.1 177 at 2013.04.25.20:46:30

`timescale 1 ps / 1 ps
module leds (
		input  wire        clk,        //          clock.clk
		input  wire        reset_n,    //               .reset_n
		input  wire        read,       // avalon_slave_0.read
		input  wire        write,      //               .write
		input  wire        chipselect, //               .chipselect
		input  wire [4:0]  address,    //               .address
		output wire [15:0] readdata,   //               .readdata
		input  wire [15:0] writedata,  //               .writedata
		output wire [6:0]  HEX0,       //    conduit_end.export
		output wire [6:0]  HEX1,       //               .export
		output wire [6:0]  HEX2,       //               .export
		output wire [6:0]  HEX3        //               .export
	);

	de2_led_controller leds_inst (
		.clk        (clk),        //          clock.clk
		.reset_n    (reset_n),    //               .reset_n
		.read       (read),       // avalon_slave_0.read
		.write      (write),      //               .write
		.chipselect (chipselect), //               .chipselect
		.address    (address),    //               .address
		.readdata   (readdata),   //               .readdata
		.writedata  (writedata),  //               .writedata
		.HEX0       (HEX0),       //    conduit_end.export
		.HEX1       (HEX1),       //               .export
		.HEX2       (HEX2),       //               .export
		.HEX3       (HEX3)        //               .export
	);

endmodule
